Update Values of Associated Files/Folders
This API helps in editing the custom filed values provided with the associated files and folder.
Endpoints
OAuth Scope
WorkDrive.datatemplates.UPDATECopied!
curl --request PATCH \
--url https://www.zohoapis.com/workdrive/api/v1/custommetadata/{custommetadata_id} \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"custom_data":[{"custom_field_id":"nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI","value":"Designer"}]},"type":"custommetadata"}}'Path Parameters
custommetadata_idstring(Required)
A unique ID that represents the association of a file/folder to a data template.
Request Body
application/vnd.api+jsondataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
custom_dataJSON Array(Required)
List of custom fields with value.
Refer to this table for the value formats supported in the custom field types.
Show Sub-Attributes
custom_field_idstring(Optional)
A unique ID of the custom field.
valuestring(Optional)
The value assigned to the custom field.
typestring(Required)
The JSON:API resource type. Always "custommetadata".
Allowed Values :
Show Values ▾
custommetadataCopied!
Copy all as JSON Array
{
"data": {
"attributes": {
"custom_data": [
{
"custom_field_id": "nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI",
"value": "Designer"
}
]
},
"type": "custommetadata"
}
}
{
"data": {
"id": "nrkrocca1fef45ba243319cb8643393b6b52b-24000000581001",
"type": "custommetadata",
"attributes": {
"data_template_id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
"name": "Recruitment - 2021",
"description": "Associate files and folders of all candidates registered for recruitment in 2021",
"resource_id": "nrkrocca1fef45ba243319cb8643393b6b52b",
"custom_data": [
{
"custom_field_id": "nrkrocca1fef45ba243319cb8643393b6b52b-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDE",
"display_name": "Candidate Name",
"type": "text",
"column_name": "CF60",
"field_properties": {
"description": "Name of the candidate",
"is_mandatory": true,
"default_value": "",
"max_char_length": "50"
},
"value": "John",
"index": 0
},
{
"custom_field_id": "nrkrocca1fef45ba243319cb8643393b6b52b-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI",
"display_name": "Candidate Role",
"type": "dropdown",
"column_name": "CF61",
"field_properties": {
"description": "Role of the candidate",
"is_mandatory": false,
"default_value": ""
},
"value": "Designer",
"index": 1,
"choices": [
{
"key": "Developer"
},
{
"key": "Designer"
},
{
"key": "Marketer"
}
]
}
],
"is_associated_without_cf": false,
"status": true
},
"links": {
"self": "https://www.zohoapis.com/workdrive/api/v1/custommetadata/nrkrocca1fef45ba243319cb8643393b6b52b-24000000581001"
}
}
}
{
"errors": [
{
"id": "R008",
"title": "Unauthorized access"
}
]
}
{
"errors": [
{
"id": "CF014",
"title": "Value is not a valid phone_number"
}
]
}
{
"errors": [
{
"id": "CF015",
"title": "Value is not a valid format"
}
]
}
{
"errors": [
{
"id": "CF026",
"title": "String is not allowed"
}
]
}
{
"errors": [
{
"id": "CF005",
"title": "Only custom fields of the same data template can be updated"
}
]
}
{
"errors": [
{
"id": "CF016",
"title": "File is not in active state"
}
]
}
{
"errors": [
{
"id": "CF006",
"title": "Duplicate or null options are not allowed"
}
]
}
{
"errors": [
{
"id": "CF017",
"title": "Value is not present in options"
}
]
}
{
"errors": [
{
"id": "CF007",
"title": "Mandatory field should not be empty"
}
]
}
{
"errors": [
{
"id": "CF018",
"title": "Properties values for this type is mismatched"
}
]
}
{
"errors": [
{
"id": "CF029",
"title": "Paranthesis is not balanced with operator"
}
]
}
{
"errors": [
{
"id": "CF008",
"title": "Value is minimum from the given range"
}
]
}
{
"errors": [
{
"id": "CF009",
"title": "Value exceeds from the given range"
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General Exception"
}
]
}
{
"errors": [
{
"id": "CF021",
"title": "Value length exceeds from the maxCharLength"
}
]
}
{
"errors": [
{
"id": "CF022",
"title": "Value is not of yes or no type"
}
]
}
{
"errors": [
{
"id": "CF013",
"title": "Value is not a valid email address"
}
]
}
{
"errors": [
{
"id": "CF024",
"title": "Only custom fields of the same data template can be allowed"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.